package cross_variety

import (
	"eta_gn/eta_task/global"
	"time"
)

// ChartInfoCrossVariety
// @Description: 跨品种分析配置表
type ChartInfoCrossVariety struct {
	Id             int       `gorm:"column:id;primaryKey"` // `orm:"column(id);pk"`
	ChartInfoId    int       `description:"图表id"`
	ChartXTagId    int       `description:"X轴的标签ID"`
	ChartYTagId    int       `description:"X轴的标签ID"`
	CalculateValue int       `description:"计算窗口"`
	CalculateUnit  string    `description:"计算频度"`
	ModifyTime     time.Time `description:"修改时间"`
	CreateTime     time.Time `description:"创建时间"`
}

func GetChartInfoCrossVarietyList(startSize, pageSize int) (items []*ChartInfoCrossVariety, err error) {
	//o := orm.NewOrmUsingDB("data")
	sql := ` SELECT * FROM chart_info_cross_variety WHERE 1=1 `
	sql += " LIMIT ?,? "
	//_, err = o.Raw(sql, startSize, pageSize).QueryRows(&items)
	err = global.DmSQL["data"].Raw(sql, startSize, pageSize).Find(&items).Error
	return
}

func GetChartInfoCrossVarietyTotal() (total int, err error) {
	//o := orm.NewOrmUsingDB("data")
	sql := `SELECT count(*) FROM chart_info_cross_variety`
	//err = o.Raw(sql).QueryRow(&total)
	err = global.DmSQL["data"].Raw(sql).Scan(&total).Error
	return
}

// ChartConfigReq
// @Description: 跨品种分析的图表配置
type ChartConfigReq struct {
	TagX           int               `description:"X轴的标签ID"`
	TagY           int               `description:"Y轴的标签ID"`
	CalculateValue int               `description:"计算窗口"`
	CalculateUnit  string            `description:"计算频度"`
	DateConfigList []ChartConfigDate `description:"日期配置列表"`
	VarietyList    []int             `description:"品种id列表"`
	PercentType    int               `description:"百分位：0-数据区间(兼容历史数据); 1-数据个数；"`
}

// ChartConfigDate
// @Description: 跨品种分析的日期配置
type ChartConfigDate struct {
	DateType int    `description:"日期类型：1-最新日期；2-N天前；3-固定日期"`
	Num      int    `description:"N天前的N值"`
	FixDate  string `description:"固定日期的日期"`
	ShowTips int    `description:"是否显示标注：0-否；1-是"`
}
